#### D.13.6.28 detropicalise

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  detropicalise(f); f poly or f list

Assume:
  if f is of type poly then t is a linear polynomial with an arbitrary constant term and positive integer coefficients as further coefficients;
  if f is of type list then f is a list of polynomials of the type just described in before

Return:
  poly, the detropicalisation of f ignoring the constant parts

Note:
  the output will be a monomial and the constant coefficient has been ignored

Example:

    LIB "tropical.lib";
    ring r=(0,t),(x,y),dp;
    detropicalise(3x+4y-1);

User manual for Singular version 4.4.1, 2025, generated by texi2html.